--[[ Postal_Wire: Update Subject Field with Money Amount if blank ]]--

assert( Postal, "Postal not found!")

------------------------------
--      Are you local?      --
------------------------------

local abacus = AceLibrary("Abacus-2.0")
local L = AceLibrary("AceLocale-2.2"):new("Postal")

----------------------------------
--      Module Declaration      --
----------------------------------

Postal_Wire = Postal:NewModule("Wire")
Postal_Wire.revision = tonumber(string.sub("$Revision: 37369 $", 12, -3))

function Postal_Wire:OnEnable()
	self:SecureHook(SendMailMoney, "onvalueChangedFunc")
end

function Postal_Wire:onvalueChangedFunc()
	local subject = SendMailSubjectEditBox:GetText()
	if subject == ""
	or subject:find(L["^%[%d+g %d+s %d+c%]$"])
	or subject:find(L["^%[%d+s %d+c%]$"])
	or subject:find(L["^%[%d+c%]$"]) then
		local copper = MoneyInputFrame_GetCopper(SendMailMoney)
		if copper and copper > 0 then
			SendMailSubjectEditBox:SetText("["..abacus:FormatMoneyFull(copper).."]")
		end
	end
end

